
local upgrades = {
    upgradeTree = {
        {
            position = {0, 0},
            name = "tradeOverview",
            requirement = {
                type = "killSpawners",
                value = 5,
            },
            sprite = "entity/market",
        },
        {
            position = {0, 1},
            name = "tradeOverviewFilter",
            prerequisite = "tradeOverview",
            requirement = {
                type = "automatedTrades",
                value = 25,
            },
            sprite = "utility/search_white",
        },
        {
            position = {1, 1},
            name = "tradeOverviewQuality",
            prerequisite = "tradeOverviewFilter",
            requirement = {
                type = "availableMarkets",
                value = 30,
            },
            canToggle = true,
            sprite = "item/coin",
        },
        {
            position = {-1, 0},
            name = "automatedChunkUnlocking",
            prerequisite = "tradeOverview",
            requirement = {
                type = "unlockChunks",
                value = 100,
            },
            canToggle = true,
            sprite = "utility/gps_map_icon",
            -- sprite = "utility/shoot_cursor_red",
            -- wip = true,
        },
        {
            position = {-1, 1},
            name = "noMoreInfestedChunks",
            prerequisite = "automatedChunkUnlocking",
            requirement = {
                type = "ramBiters",
                value = 25,
            },
            canToggle = true,
            isGlobalToggle = true,
            sprite = "entity/medium-biter",
            -- wip = true,
        },
        {
            position = {-2, 0},
            name = "reducedVoidChunkChance",
            prerequisite = "automatedChunkUnlocking",
            requirement = {
                type = "discoverArea",
                area = "greatRingOfSuperChunks",
            },
            sprite = "utility/alert_arrow",
            -- wip = true,
        },
        {
            position = {-2, -1},
            name = "dimensionalChunks",
            prerequisite = "reducedVoidChunkChance",
            requirement = {
                type = "oversupplyBlueChests",
                value = 1,
            },
            sprite = "entity/radar",
            -- wip = true,
        },
        -- {
        --     position = {-2, -2},
        --     name = "infinityChunks",
        --     prerequisite = "dimensionalChunks",
        --     requirement = {
        --         type = "oversupplyBlueChests",
        --         value = 1,
        --     },
        --     sprite = "entity/infinity-chest",
        --     wip = true,
        -- },
        {
            position = {0, -1},
            name = "marketDeletion",
            prerequisite = "tradeOverview",
            requirement = {
                type = "availableMarkets",
                value = 15,
            },
            sprite = "utility/trash_white",
        },
        {
            position = {-1, -1},
            name = "marketIoChests",
            prerequisite = "marketDeletion",
            requirement = {
                type = "buildEntity",
                value = 200,
                entity = "steel-furnace",
            },
            isGlobalToggle = true,
            canToggle = true,
            sprite = "entity/logistic-chest-requester",
            -- wip = true,
        },
        {
            position = {0, -2},
            name = "patchPurification",
            prerequisite = "marketDeletion",
            requirement = {
                type = "depleteResources",
                value = 10,
            },
            sprite = "entity/coal",
            -- wip = true,
        },
        {
            position = {1, -1},
            name = "marketRng",
            prerequisite = "marketDeletion",
            requirement = {
                type = "automatedTrades",
                value = 250,
            },
            isGlobalToggle = true,
            canToggle = true,
            sprite = "utility/item_editor_icon",
            -- wip = true,
        },
        {
            position = {1, 0},
            name = "freeRoboports",
            prerequisite = "marketRng",
            requirement = {
                type = "killSpawners",
                value = 100,
            },
            isGlobalToggle = true,
            canToggle = true,
            sprite = "entity/roboport",
            -- wip = true,
        },
        {
            position = {1, -2},
            name = "tradeUniqueness",
            prerequisite = "marketRng",
            requirement = {
                type = "availableMarkets",
                value = 50,
            },
            isGlobalToggle = true,
            canToggle = true,
            sprite = "utility/set_bar_slot",
            -- wip = true,
        },
    },
    upgradeTreeIndexed = {},

    unlocked = {
        tradeOverview = false,
        tradeOverviewFilter = false,
        tradeOverviewQuality = false,
        automatedChunkUnlocking = false,
        noMoreInfestedChunks = false,
        reducedVoidChunkChance = false,
        dimensionalChunks = false,
        infinityChunks = false,
        marketDeletion = false,
        marketIoChests = false,
        patchPurification = false,
        marketRng = false,
        freeRoboports = false,
        tradeUniqueness = false,
    },

    builtEntities = {
        ["steam-engine"] = 0,
        ["steel-furnace"] = 0,
        ["electric-mining-drill"] = 0,
    },
    deletedMarkets = 0,
    killedSpawners = 0,
    automatedTrades = 0,
    oversuppliedBlueChests = 0,
    rammedBiters = 0,
    depletedResources = 0,

    viewedUpgrade = {},
    enabledUpgrades = {},
    globallyEnabledUpgrades = {},
}

return upgrades
